# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=bc
pkgver=5.3.3
pkgrel=1
pkgdesc="The Bc package contains an arbitrary precision numeric processing language."
arch=('x86_64')
url="https://git.yzena.com/gavin/bc"
license=('GPL')
groups=('base')
depends=('glibc' 'ncurses' 'readline')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'grep' 'make')
checkdepends=('gawk')
source=(https://github.com/gavinhoward/bc/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(616350bd0ea3ee1ebfc8580f0bf8bcec94c7f7cdeed397394e318e5f2a2cdb23)

build() {
    cd ${pkgname}-${pkgver}

    CC=gcc ./configure --prefix=/usr --libdir=/usr/lib64 -G -O3 -r

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
